/// IMPORTING THIRD PARTY PACKAGES
import 'package:flutter/material.dart';
import 'package:zwap_design_system/atoms/imageShape/zwapImageShape.dart';

/// Component to rendering an avatar image asset with standard style
class ZwapAvatar extends StatelessWidget {

  /// The image widget for the avatar pic
  final Image avatarImage;

  /// Icon size inside this zwap avatar
  final double size;

  ZwapAvatar({Key? key,
    required this.avatarImage,
    this.size = 38,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return  ClipPath(
      clipper: ZwapAvatarImageClipper(factor: 2),
      child: Container(
        height: 56,
        width: 56,
        child: this.avatarImage,
      ),
    );
  }
}
